Name: color-gcc
Version: 0.3.1
Release: alt1

Summary: GCC output colorizer
License: GPL
Group: Development/Other
BuildArch: noarch
Packager: Stanislav Ievlev <inger@altlinux.ru>

# get the source from our cvs repository 
Source: %name-%version.tar.bz2

PreReq: gcc-common >= 1.2
PreReq: colorifer >= 0.4.1

%description
Configs for colorifer to colorize GCC output

%prep
%setup -q

%install
%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir/colorifer
%__cp -a *.xml $RPM_BUILD_ROOT%_sysconfdir/colorifer/

install -pD -m644 /dev/null $RPM_BUILD_ROOT%_sysconfdir/buildreqs/packages/ignore.d/%name

%post
/usr/sbin/update-alternatives \
	--install %_bindir/gcc gcc %_bindir/colorifer 50 \
	--slave %_bindir/g++ g++ %_bindir/colorifer \
	--slave %_bindir/g77 g77 %_bindir/colorifer \
	--slave %_bindir/gcj gcj %_bindir/colorifer

%preun
[ $1 = 0 ] || exit 0
/usr/sbin/update-alternatives --remove gcc %_bindir/colorifer

%triggerun -- color-gcc < 0.3.1
[ $2 != 0 ] || exit 0
/usr/sbin/update-alternatives --remove g++ %_bindir/colorifer

%files
%config %_sysconfdir/colorifer/*.xml
%_sysconfdir/buildreqs/packages/ignore.d/*

%changelog
* Thu Nov 28 2002 Dmitry V. Levin <ldv@altlinux.org> 0.3.1-alt1
- Migrated to new alternatives scheme.

* Sun Nov 10 2002 Stanislav Ievlev <inger@altlinux.ru> 0.3-alt1
- real split stdout and stderr

* Mon Sep 02 2002 Stanislav Ievlev <inger@altlinux.ru> 0.2-alt1
- move to xinclude in config

* Wed Aug 21 2002 Dmitry V. Levin <ldv@altlinux.org> 0.1-alt6
- Raised alternatives priority.

* Thu Aug 15 2002 Stanislav Ievlev <inger@altlinux.ru> 0.1-alt5
- new buildreq files layout

* Thu Aug 08 2002 Stanislav Ievlev <inger@altlinux.ru> 0.1-alt4
- move to relative path in configs

* Mon Jun 17 2002 Stanislav Ievlev <inger@altlinux.ru> 0.1-alt3
- Added ignore.d files for buildreq

* Tue Jun 11 2002 Stanislav Ievlev <inger@altlinux.ru> 0.1-alt2
- fixes and features

* Mon Jun 10 2002 Stanislav Ievlev <inger@altlinux.ru> 0.1-alt1
- Inital release for ALT
